Disk Defragmenter overview

Disk Defragmenter locates fragmented files and folders on local volumes. A fragmented file or folder is split up into many pieces and scattered over a volume.

When a volume contains a lot of fragmented files and folders, Windows takes longer to gain access to them because it requires several additional disk drive reads to collect the various pieces. Creating new files and folders also takes longer because the free space available on the volume is scattered. Windows must then save new files and folders to various locations on the volume.

Disk Defragmenter moves the pieces of each file or folder to one location on the volume, so that each occupies a single, contiguous space on the disk drive. As a result, your system can gain access to your files and folders and save new ones more efficiently. By consolidating your files and folders, Disk Defragmenter also consolidates your free space, making it less likely that new files will be fragmented.

The process of finding and consolidating fragmented files and folders is called defragmentation. The amount of time that defragmentation takes depends on several factors, including the size of the volume, the number of files on the volume, the amount of fragmentation, and the available local system resources. You can find all of the fragmented files and folders before defragmenting them by analyzing the volume first. You can see how many fragmented files and folders are saved on the volume and then decide whether or not you would benefit from defragmenting the volume.

Disk Defragmenter can defragment FAT, FAT32, and NTFS formatted volumes.

Related Topics


Disk Defragmenter window

Disk Defragmenter is split into two main areas. The upper portion lists the volumes on the local computer. The lower portion displays a graphic representation of how fragmented the volume is. The colors of the display indicate the condition of the volume:

  • Red areas show fragmented files.
  • Blue areas show contiguous (nonfragmented) files.
  • White areas show free space on the volume.
  • Green areas show system files, which cannot be moved by Disk Defragmenter. These system files are not part of the Windows operating system but belong instead to the NTFS file system. The green areas appear only on NTFS-formatted volumes.

By comparing the Analysis Display band to the Defragmentation Display band, you can see the improvement in your volume after defragmenting it.


Analyze a volume

To analyze a volume

  1. Open Disk Defragmenter.
  2. Click the volume that you want to check for fragmented files and folders, and then click Analyze.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • To open Disk Defragmenter, click Start, point to Programs, point to Accessories, point to System Tools, and then click Disk Defragmenter.
  • After the analysis is complete, a dialog box appears and tells you if you need to defragment the volume.
  • To interrupt or temporarily stop analyzing a volume, click Stop or Pause, respectively.
  • For more information about the files and folders that were analyzed, click View Report.
  • You can defragment local file system volumes only, and you can only execute one Disk Defragmenter console at a time.


Defragment a volume

To defragment a volume

  1. Open Disk Defragmenter.
  2. Click the volume that you want to defragment, and then click Defragment.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • To open Disk Defragmenter, click Start, point to Programs, point to Accessories, point to System Tools, and then click Disk Defragmenter.
  • You should analyze volumes before defragmenting them. Without analyzing them first, you cannot tell whether you need to take the time to defragment volumes.
  • The time that Disk Defragmenter takes to defragment a volume depends on several factors, including the size of the volume, the number of files in the volume, the percentage of fragmentation in the volume, and available system resources.
  • To interrupt or temporarily stop defragmenting a volume, click Stop or Pause, respectively.
  • You can defragment local file system volumes only, and you can only execute one Disk Defragmenter console at a time.


Contact Executive Software

To contact Executive Software

  • Phone

    Inside the United States: (800) GET-DKNT

    From Europe: 44-1342-327477

    From Japan: 813-3447-7544

  • Internet

    Executive Software International Web site

    (http://www.microsoft.com/isapi/redir.dll?prd=Win2000&os=Win2000&ar=Partner&sba=execsoft)

  • E-mail

    sales@executive.com

    tech_support@executive.com


Consolidating free space on a volume

Disk Defragmenter does not consolidate all of the free space on a volume. Although free space fragmented into hundreds of pieces does adversely affect performance, free space split into a few pieces does not. Having all of the free space consolidated in a single location provides very little performance benefit.

Windows system files such as the paging file and master file table (MFT) are opened for exclusive use by Windows at all times; therefore, Disk Defragmenter cannot gain access to these files to defragment them.

For information on how to defragment a volume, see To analyze a volume and To defragment a volume.

Several factors can prevent the free space on a disk partition from being defragmented:

  • A paging file is fragmented.
  • The disk partition contains a large number of directories.
  • On NTFS file system partitions, a portion of the free space on a disk partition is reserved by Windows for the MFT.


Why files are not moved to the beginning of NTFS-formatted volumes

On NTFS-formatted volumes, Windows reserves a portion of the free space for a system file called the master file table (MFT). The MFT is where Windows keeps all the information necessary to retrieve files from the volume. Windows stores part of the MFT at the beginning of the volume. Because Windows reserves the MFT for exclusive use, Disk Defragmenter does not move files to the beginning of volumes.


How often to defragment a volume

Because volumes can become highly fragmented when users delete a large number of files or folders from them, be sure to analyze volumes after this happens. Generally, volumes on busy file servers should be defragmented more often than those on single-user workstations.

You can analyze volumes before you decide whether to defragment them. After analyzing a volume, a dialog box tells you the percentage of fragmented files and folders on the volume and recommends a course of action. Analyze volumes regularly and defragment them only when Disk Defragmenter recommends it.


Why volumes become fragmented

Volumes become fragmented as users create and delete files and folders, install new software, or download files from the Internet. Computers do not necessarily save an entire file or folder in a single space; they save them in the first available space on a volume. After a large portion of a volume has been used for file and folder storage, most of the new files are saved in pieces across the volume. When you delete files or folders, the empty spaces left behind fill in randomly as you store new ones.

The more fragmented the volume is, the slower the computer's file input/output performance will be.